import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataKubernetesPodConfig extends cdktf.TerraformMetaArguments {
    /**
     * metadata block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#metadata DataKubernetesPod#metadata}
     *
     * @stability stable
     */
    readonly metadata: DataKubernetesPodMetadata;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreferenceMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreference extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preference(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTermMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeSelectorTerm(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeAffinity(): any;
    /**
     * @stability stable
     */
    get podAffinity(): any;
    /**
     * @stability stable
     */
    get podAntiAffinity(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnv extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecycle extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerPort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerResources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): any;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): any;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): any;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerVolumeMount extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainer extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): any;
    /**
     * @stability stable
     */
    get stdinOnce(): any;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): any;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecDnsConfigOption extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecDnsConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nameservers(): string[];
    /**
     * @stability stable
     */
    get option(): any;
    /**
     * @stability stable
     */
    get searches(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecHostAliases extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostnames(): string[];
    /**
     * @stability stable
     */
    get ip(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecImagePullSecrets extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnv extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecycle extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerPort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerResources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): any;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): any;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): any;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerVolumeMount extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainer extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): any;
    /**
     * @stability stable
     */
    get stdinOnce(): any;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): any;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecReadinessGate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get conditionType(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContextSysctl extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsGroup(): string;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
    /**
     * @stability stable
     */
    get supplementalGroups(): any;
    /**
     * @stability stable
     */
    get sysctl(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecToleration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get effect(): string;
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get tolerationSeconds(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecTopologySpreadConstraintLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecTopologySpreadConstraintLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecTopologySpreadConstraint extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get maxSkew(): number;
    /**
     * @stability stable
     */
    get topologyKey(): string;
    /**
     * @stability stable
     */
    get whenUnsatisfiable(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAwsElasticBlockStore extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAzureDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get cachingMode(): string;
    /**
     * @stability stable
     */
    get dataDiskUri(): string;
    /**
     * @stability stable
     */
    get diskName(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAzureFile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretName(): string;
    /**
     * @stability stable
     */
    get secretNamespace(): string;
    /**
     * @stability stable
     */
    get shareName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCephFsSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCephFs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get monitors(): string[];
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretFile(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCinder extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeConfigMapItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeConfigMap extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiControllerExpandSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiControllerPublishSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiNodePublishSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiNodeStageSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get controllerExpandSecretRef(): any;
    /**
     * @stability stable
     */
    get controllerPublishSecretRef(): any;
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get nodePublishSecretRef(): any;
    /**
     * @stability stable
     */
    get nodeStageSecretRef(): any;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeAttributes(): any;
    /**
     * @stability stable
     */
    get volumeHandle(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeEmptyDir extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get medium(): string;
    /**
     * @stability stable
     */
    get sizeLimit(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFc extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get targetWwNs(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlexVolumeSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlexVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get options(): any;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlocker extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get datasetName(): string;
    /**
     * @stability stable
     */
    get datasetUuid(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGcePersistentDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get pdName(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGitRepo extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get directory(): string;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    get revision(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGlusterfs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get endpointsName(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeHostPath extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeIscsi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get iqn(): string;
    /**
     * @stability stable
     */
    get iscsiInterface(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get targetPortal(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeLocal extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeNfs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get server(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumePersistentVolumeClaim extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get claimName(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumePhotonPersistentDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get pdId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesConfigMapItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesConfigMap extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesSecretItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesSecret extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesServiceAccountToken extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get audience(): string;
    /**
     * @stability stable
     */
    get expirationSeconds(): number;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get serviceAccountToken(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjected extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get sources(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeQuobyte extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get group(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get registry(): string;
    /**
     * @stability stable
     */
    get user(): string;
    /**
     * @stability stable
     */
    get volume(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeRbdSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeRbd extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get cephMonitors(): string[];
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get keyring(): string;
    /**
     * @stability stable
     */
    get radosUser(): string;
    /**
     * @stability stable
     */
    get rbdImage(): string;
    /**
     * @stability stable
     */
    get rbdPool(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeSecretItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeSecret extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get optional(): any;
    /**
     * @stability stable
     */
    get secretName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeVsphereVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get volumePath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get awsElasticBlockStore(): any;
    /**
     * @stability stable
     */
    get azureDisk(): any;
    /**
     * @stability stable
     */
    get azureFile(): any;
    /**
     * @stability stable
     */
    get cephFs(): any;
    /**
     * @stability stable
     */
    get cinder(): any;
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get csi(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get emptyDir(): any;
    /**
     * @stability stable
     */
    get fc(): any;
    /**
     * @stability stable
     */
    get flexVolume(): any;
    /**
     * @stability stable
     */
    get flocker(): any;
    /**
     * @stability stable
     */
    get gcePersistentDisk(): any;
    /**
     * @stability stable
     */
    get gitRepo(): any;
    /**
     * @stability stable
     */
    get glusterfs(): any;
    /**
     * @stability stable
     */
    get hostPath(): any;
    /**
     * @stability stable
     */
    get iscsi(): any;
    /**
     * @stability stable
     */
    get local(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get nfs(): any;
    /**
     * @stability stable
     */
    get persistentVolumeClaim(): any;
    /**
     * @stability stable
     */
    get photonPersistentDisk(): any;
    /**
     * @stability stable
     */
    get projected(): any;
    /**
     * @stability stable
     */
    get quobyte(): any;
    /**
     * @stability stable
     */
    get rbd(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get vsphereVolume(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get activeDeadlineSeconds(): number;
    /**
     * @stability stable
     */
    get affinity(): any;
    /**
     * @stability stable
     */
    get automountServiceAccountToken(): any;
    /**
     * @stability stable
     */
    get container(): any;
    /**
     * @stability stable
     */
    get dnsConfig(): any;
    /**
     * @stability stable
     */
    get dnsPolicy(): string;
    /**
     * @stability stable
     */
    get enableServiceLinks(): any;
    /**
     * @stability stable
     */
    get hostAliases(): any;
    /**
     * @stability stable
     */
    get hostIpc(): any;
    /**
     * @stability stable
     */
    get hostNetwork(): any;
    /**
     * @stability stable
     */
    get hostPid(): any;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get imagePullSecrets(): any;
    /**
     * @stability stable
     */
    get initContainer(): any;
    /**
     * @stability stable
     */
    get nodeName(): string;
    /**
     * @stability stable
     */
    get nodeSelector(): any;
    /**
     * @stability stable
     */
    get priorityClassName(): string;
    /**
     * @stability stable
     */
    get readinessGate(): any;
    /**
     * @stability stable
     */
    get restartPolicy(): string;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get serviceAccountName(): string;
    /**
     * @stability stable
     */
    get shareProcessNamespace(): any;
    /**
     * @stability stable
     */
    get subdomain(): string;
    /**
     * @stability stable
     */
    get terminationGracePeriodSeconds(): number;
    /**
     * @stability stable
     */
    get toleration(): any;
    /**
     * @stability stable
     */
    get topologySpreadConstraint(): any;
    /**
     * @stability stable
     */
    get volume(): any;
}
/**
 * @stability stable
 */
export interface DataKubernetesPodMetadata {
    /**
     * An unstructured key value map stored with the pod that may be used to store arbitrary metadata.
     *
     * More info: http://kubernetes.io/docs/user-guide/annotations
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#annotations DataKubernetesPod#annotations}
     *
     * @stability stable
     */
    readonly annotations?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Prefix, used by the server, to generate a unique name ONLY IF the `name` field has not been provided.
     *
     * This value will also be combined with a unique suffix. Read more: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#idempotency
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#generate_name DataKubernetesPod#generate_name}
     *
     * @stability stable
     */
    readonly generateName?: string;
    /**
     * Map of string keys and values that can be used to organize and categorize (scope and select) the pod.
     *
     * May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#labels DataKubernetesPod#labels}
     *
     * @stability stable
     */
    readonly labels?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Name of the pod, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#name DataKubernetesPod#name}
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Namespace defines the space within which name of the pod must be unique.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html#namespace DataKubernetesPod#namespace}
     *
     * @stability stable
     */
    readonly namespace?: string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodMetadataOutputReference extends cdktf.ComplexObject {
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    private _annotations?;
    /**
     * @stability stable
     */
    get annotations(): {
        [key: string]: string;
    } | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set annotations(value: {
        [key: string]: string;
    } | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetAnnotations(): void;
    /**
     * @stability stable
     */
    get annotationsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _generateName?;
    /**
     * @stability stable
     */
    get generateName(): string | undefined;
    /**
     * @stability stable
     */
    set generateName(value: string | undefined);
    /**
     * @stability stable
     */
    resetGenerateName(): void;
    /**
     * @stability stable
     */
    get generateNameInput(): string | undefined;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): {
        [key: string]: string;
    } | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set labels(value: {
        [key: string]: string;
    } | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string | undefined;
    /**
     * @stability stable
     */
    set name(value: string | undefined);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namespace?;
    /**
     * @stability stable
     */
    get namespace(): string | undefined;
    /**
     * @stability stable
     */
    set namespace(value: string | undefined);
    /**
     * @stability stable
     */
    resetNamespace(): void;
    /**
     * @stability stable
     */
    get namespaceInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html kubernetes_pod}.
 *
 * @stability stable
 */
export declare class DataKubernetesPod extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/kubernetes/d/pod.html kubernetes_pod} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataKubernetesPodConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    spec(index: string): DataKubernetesPodSpec;
    /**
     * @stability stable
     */
    get status(): string;
    private _metadata?;
    private __metadataOutput;
    /**
     * @stability stable
     */
    get metadata(): DataKubernetesPodMetadataOutputReference;
    /**
     * @stability stable
     */
    putMetadata(value: DataKubernetesPodMetadata): void;
    /**
     * @stability stable
     */
    get metadataInput(): DataKubernetesPodMetadata | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
